org.deidentifier.arx.aggregates.quality

## Interface QualityDomainShare

All Known Implementing Classes:
  QualityDomainShareRaw, QualityDomainShareRedaction

    public interface QualityDomainShare

Base class for representing domain shares in this package

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Abstract Methods
`double` `getDomainSize()` Returns the domain size
`double` `getShare(java.lang.String value, int level)` Returns the domain share

### Method Detail

#### getDomainSize

    double getDomainSize()

Returns the domain size

Returns:

#### getShare

    double getShare(java.lang.String value,
                    int level)

Returns the domain share

Parameters:
  `value` -
  `level` -
Returns: